Get decision
curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/decisions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/decisions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/decision/v1/decisions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:50.384Z",
"message": "Success",
"data": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments, including equity stakes, acquisitions, and other business ventures.",
"guidance": "Investment decisions for long-term, strategic investments, such as acquisitions and equity stakes, require a structured process that ensures alignment with corporate strategy, rigorous financial analysis, risk assessment, and strong governance. These investments should enhance the company's competitive positioning, growth potential, and long-term vision. Financial modeling is critical, incorporating valuation methods, cash flow impacts, and sensitivity analysis to forecast returns under different scenarios.",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "105fa115-52d0-4466-baff-740447a60774",
"status": "PUBLISHED",
"createdBy": null,
"owner": null,
"createdAt": "2024-12-18T09:50:43.338Z",
"updatedBy": null,
"updatedAt": "2024-12-18T09:50:43.338Z",
"copiedFrom": null,
"conditionEnabled": false,
"roleEnabled": false,
"delegable": true,
"decisionDisplayId": "14623",
"delegationPathway": [
"Matrix",
"Direct Line",
"Functional"
],
"link": "/decisions/view/eyJ0ZW5hbnRJZCI6MSwiZGVjaXNpb25JZCI6ImU4YTEzYmQ0LTExYzItNDNkMi1hM2RjLWUxOGQ2ODU1NTU4OCJ9",
"decisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"sectionName": "Financial Authority",
"categoryName": "Budget Approval",
"createdByUsername": "John Doe",
"ownerUsername": "John Doe",
"updatedByUsername": null,
"decisionGroups": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"groupId": "105fa115-52d0-4466-baff-740447a60774",
"tenantGroupTypeId": "105fa115-52d0-4466-baff-740447a60774",
"displayName": "Engineering Team",
"groupName": "Engineering Team"
}
],
"decisionAuthorities": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"authorityTypeId": "105fa115-52d0-4466-baff-740447a60774",
"authorityType": "Approval",
"authorityTypeOrder": 1,
"authorityTypeIcon": "check-square",
"authorityLimitValue": "1000",
"authorityLimitValueUnit": "$"
}
],
"decisionDocuments": [
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"denormalizedDecisionId": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"documentId": "105fa115-52d0-4466-baff-740447a60774",
"documentName": "Proxy Comm Delegation of Authority Policy",
"documentUrl": "https://filesamples.com/samples/document/pdf/sample1.pdf",
"documentTypeName": "Policy",
"documentIcon": "file_text_outlined",
"documentDescription": "Defines the framework for delegating authority across ProxyComm's global operations, outlining roles, responsibilities, and decision-making limits to ensure compliance, accountability, and operational consistency.",
"documentFileType": "pdf",
"isPinned": true,
"documentDisplayId": "10000",
"documentStatus": "PUBLISHED",
"documentFileLink": "https://example.com/files/project_document.pdf"
}
],
"delegations": 0,
"ownerUserProfileUrl": "http://test.jpg",
"createdByUserProfileUrl": "http://test.jpg",
"updatedByUserProfileUrl": "http://test.jpg",
"permissions": [
{
"relationship_key": "<string>",
"allowed": true
}
],
"createdByDetails": {},
"updatedByDetails": {},
"ownerDetails": {},
"isRequestActionCompleted": true
}
}Decisions
Get decision
GET
/
v1
/
decisions
/
{id}
Get decision
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Decision details retrieved successfully
Was this page helpful?
āI